> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Flashcard

> Import flashcards from a CSV file. The API accepts CSV files and creates flashcards under the specified folder.



## OpenAPI

````yaml post /import-flashcard
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /import-flashcard:
    post:
      tags:
        - Card management
      summary: Import Flashcard
      description: >-
        Import flashcards from a CSV file. The API accepts CSV files and creates
        flashcards under the specified folder.
      operationId: import-flashcard
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              x-examples:
                Example 1:
                  file: Sample.csv
                  jwtToken: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                  flashcardName: Expense Tracker
                  flashcardDescription: A set of flashcards for tracking expenses
                  folder: folder-name/folder-2
                  delimiter: ','
                  firstRowOfData: 2
              required:
                - file
                - jwtToken
                - flashcardName
                - flashcardDescription
                - folder
                - delimiter
                - firstRowOfData
              properties:
                file:
                  type: string
                  format: binary
                  description: CSV file having headings term and definition.
                jwtToken:
                  type: string
                  description: The unique ID of the user editing or creating flashcards.
                  example: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                flashcardName:
                  type: string
                  description: 'The name of the flashcard set. '
                  example: firstCard
                flashcardDescription:
                  type: string
                  description: The description of the flashcard set
                  example: my first flashcard
                folder:
                  type: string
                  description: >-
                    The name of the folder containing the flashcard sets. Set to
                    "" to set as a top level flashcard, otherwise set it to the
                    parent folder name. If there are multiple parent folders,
                    add the folder name seperated by /
                  example: top-level-parent-name/parent-name-2/parent-name-3
                delimiter:
                  type: string
                  description: The delimiter used in the CSV file (e.g., comma, semicolon).
                  example: ','
                firstRowOfData:
                  type: string
                  description: >-
                    Defines the first row where actual data is stored in the
                    CSV. Defaults to row 2 if not provided.
                  example: '2'
      responses:
        '200':
          description: OK. Returned when the request is successfully executed.
          content:
            application/json:
              schema:
                type: array
                x-examples:
                  Example 1:
                    - success: true
                items:
                  type:
                    - object
                    - integer
                  properties:
                    '200':
                      type: integer
                      x-stoplight:
                        id: hvhaj9owg6b59
                      description: HTTP status code indicating a successful operation.
                    success:
                      type: boolean
                      description: Indicates that a new flashcard was created successfully.
        '400':
          description: >-
            A bad request error. Returned when a flashcard set with the same
            name already exists.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: Flashcard set name already exists
                properties:
                  error:
                    type: string
                    example: Flashcard set name already exists

````